=== debian/changelog ===
kwin (4:5.15.10.12-1) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 21 Mar 2022 16:21:59 +0800

kwin (4:5.15.10.11-1) unstable; urgency=medium

  * Bug fix:
    + 109804 fix: In split screen mode, the right-click menu is always in the visible area and should not take effect.
    + 113173 fix: When 3D is switched to 2D, the window tube crashes.

 -- Lei Su <sulei@uniontech.com>  Tue, 15 Feb 2022 18:38:17 +0800

kwin (4:5.15.10.9-1) unstable; urgency=medium

  * Bug fix:
    + 109715, 110133 fix: Wrong position of split screen splicing strip.
    + 109721 fix: In the wayland platform, the client in the left and right dichotomous screen does not handle the splitOutline when performing the minimization operation.
    + 109973 fix: Wayland platform separator title bar needs to be hidden.
    + 107763 fix: Trigger split screen without split screen prompt dynamic effect.
    + 107298 fix: stop trigger inner shortcuts of kwin when effects already grabed keyboard.
    + 109640 fix: the splitmenu is not available on wayland platform.
    + 111442 fix: show cursor when event is actually from libinput device.
    + 111294 fix: add user action menu click when touch down.
    + 111217 fix: disable multitasking on wayland platform.
    + 107385 fix: cannot restore window when split screen.

 -- Lei Su <sulei@uniontech.com>  Thu, 10 Feb 2022 15:11:51 +0800

kwin (4:5.15.10.8-1) unstable; urgency=medium

  * Bug fix:
    + 110661 fix: don't allow switch compositing in wayland.
    + 108936 fix: fix the problem that the file manager cannot switch to the normal and maximized state.
    + 110574 fix: Non special effect split screen switching special effect split screen gap.
    + 111010 fix: touchup can't end of client endMoveResize status.
    + 111190 fix: Abnormal dynamic effect of position exchange between left and right windows of split screen.

 -- Lei Su <sulei@uniontech.com>  Fri, 14 Jan 2022 11:24:18 +0800

kwin (4:5.15.10.7-1) unstable; urgency=medium

  * Bug fix:
    + fix: Revert "feat: Add automatic test attribute to split screen preview"

 -- Lei Su <sulei@uniontech.com>  Mon, 10 Jan 2022 19:51:51 +0800

kwin (4:5.15.10.6-1) unstable; urgency=medium

  * Bug fix:
    + 107849 fix: modeset function in legacy mode.
    + 110061 fix: split screen input text with keyboard failed.
    + 92305 fix: Problem with multiple displays showing only one dde lock window.
    + 107767 fix: use tabbox,kwin_wayland crash
    + 106638 fix: Attempt to move the second window while moving the first one.
    + 107970 fix: cannot rotate screen.
    + 97290, 98191, 96116, 106980 fix: add long touch press show right menu.

 -- Lei Su <sulei@uniontech.com>  Mon, 10 Jan 2022 15:49:46 +0800

kwin (4:5.15.10.5-1) unstable; urgency=medium

  * Bug fix:
    + 97459 fix: remove ctrl+alt+K shortcut.
    + 98636 fix: Fix the problem of rotating the screen in full-screen state and maximizing the state after exiting full-screen.
    + 97476 add global touch event spy in input and transfer events to the client through the global touch protocol.
    + 107288 fix: show the moving cursor after click resize window option.
    + 106336 fix: Raise client layer and get focus when client is changed horizontally or vertically maximized.
    + 108894 fix: modify global mouse event spy in input and transfer to events to the client through the global mouse protocol.
    + 102479 fix: when the uos browser in a half split screen,click the title bar of uos browser to exit the split screen.
    + 107429, 106157 fix: The space bar mouse style transformation does not take effect.
    + 100921, 97136, 99376, 87450 fix: when touch to move client,kwin must need client send events.

 -- Lei Su <sulei@uniontech.com>  Mon, 27 Dec 2021 14:53:41 +0800

kwin (4:5.15.10.4-1) unstable; urgency=medium

  * Bug fix:
    + Revert "fix: when touch to move client,kwin must need client send events."

 -- Lei Su <sulei@uniontech.com>  Thu, 09 Dec 2021 11:30:27 +0800

kwin (4:5.15.10.3-1) unstable; urgency=medium

  * Bug fix:
    + fix: remove libpipewire-0.3-dev from debian/control.

 -- Lei Su <sulei@uniontech.com>  Thu, 09 Dec 2021 10:21:26 +0800

kwin (4:5.15.10.2-1) unstable; urgency=medium

  * Bug fix:
    + fix: set focused keyboard surface when grabing keyboard.
    + fix: active client from split menu tigger
    + fix: Create PrimarySelectionDeviceManager
    + fix: when touch to move client,kwin must need client send events.
    + fix: super key still response when Preassigned screen
    + fix: Dimming of shadow effect in split screen mode
    + fix: incorrect split screen dynamic display effect
    + fix: Add clipboard control protocol
    + fix: Fix the tabbox wake up, click the desktop blank place does not exit.

 -- Lei Su <sulei@uniontech.com>  Fri, 03 Dec 2021 15:54:10 +0800

kwin (4:5.15.10.1-1) unstable; urgency=medium

  * feat: The 'wayland' branch joins the 'master' branch

 -- Lei Su <sulei@uniontech.com> Thu, 11 Nov 2021 17:46:07 +0800

kwin (4:5.15.8.67-1) unstable; urgency=medium

  * Bug fix:
    + 66313 fix: Support for client-side _DEEPIN_FORHIBIT_MOVE attribute, which disables window movement.
    + 90652 fix: Add judgment conditions for single test precompiling options

 -- Lei Su <sulei@uniontech.com>  Thu, 02 Sep 2021 17:09:16 +0800

kwin (4:5.15.8.66-1) unstable; urgency=medium

  * Bug fix:
    + 85366 fix: wps can not input when deepin-screen-recorder start

 -- Lei Su <sulei@uniontech.com>  Mon, 30 Aug 2021 10:55:55 +0800

kwin (4:5.15.8.65-1) unstable; urgency=medium

  * Bug fix:
    + 34639 Fool-proofing didn't work well in dual monitor

 -- Xu Yongrui <xuyongrui@uniontech.com>  Wed, 04 Aug 2021 13:59:33 +0800

kwin (4:5.15.8.62-2) unstable; urgency=medium

  * memry test
    + fix: Memory leak detection by asan.

 -- Lei Su <sulei@uniontech.com>  Tue, 29 Jun 2021 20:21:43 +0800

kwin (4:5.15.8.62-1) unstable; urgency=medium

  * unit test

